Activity/urls.py
from django.urls import path
from . import views

app_name="activities"
urlpatterns = [
    path('', views.index, name='index'),
    path('newActivity/', views.newActivity, name="newActivity"),
    path('listActivities/', views.listActivities, name="listActivities"),
    # path('listActivities/<int:activities_id>', views.addParticipant, name="addParticipant"),
    path('addParticipant/', views.addParticipant, name="addParticipant"),
    # path('delete/', views.deleteActivity, name='delete')
]

form/urls.py
from django.urls import path
from . import views

app_name = "form"
urlpatterns = [
    path('', views.index, name='index'),
    path('add/', views.add, name='tambah'),
    path('all/', views.all, name='semua'),
    path('semua/', views.semuanya, name='semuanya'),
    path('matkul/<str:pk>', views.matkul, name='matkul'),
    path('update/<str:pk>', views.updateSubject, name='update'),
    path('delete/<str:pk>', views.deleteSubject, name='delete')
]

story3/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.homepage, name='home'),
    path('Experience/', views.experience, name='experience'),
    path('Story/', views.story, name='story'),
    path('Story1/', views.story1, name='story1'),
    path('Subject/', include('form.urls'), name="form"),
    path('Activity/', include('Activity.urls'), name="activity")
]

Activity/models.py
from django.db import models

# Create your models here.
class Activities(models.Model):
    Activity_Name = models.CharField(max_length=50)

    def __str__(self):
        return self.Activity_Name

class Participant(models.Model):
    Name = models.CharField(max_length=50)
    activities = models.ForeignKey(Activities, on_delete=models.CASCADE, default='')

    def __str__(self):
        return "{}.{}".format(self.activities, self.Name)

form/models.py
from django.db import models

# Create your models here.
class Subject(models.Model):
    SMS = (
        ('2019/2020', '2019/2020'),
        ('2020/2021', '2020/2021'),
    )
    Nama_mata_kuliah = models.CharField(max_length=100)
    Nama_dosen = models.CharField(max_length=100)
    Nama_kelas = models.CharField(max_length=100)
    Jumlah_sks = models.CharField(max_length=100)
    Semester = models.CharField(max_length=100, choices=SMS)
    Deskripsi_mata_kuliah = models.CharField(max_length=100)

def __str__(self):
    return self.Nama_mata_kuliah

Activity/forms.py
from django import forms
from .models import Activities, Participant

class formActivities(forms.ModelForm):
    class Meta:
        model = Activities
        fields = ('Activity_Name',)

        widgets = {
            'Activity_Name' : forms.TextInput(attrs={'class': 'forms-control'}),
        }

class formParticipant(forms.ModelForm):
    class Meta:
        model = Participant
        fields = ('Name', 'activities')

        widgets = {
            'Name' : forms.TextInput(attrs={'class': 'forms-control'}),
        }

form/forms.py
from django import forms
from .models import Subject

class subjectForm(forms.ModelForm):
    class Meta:
        model = Subject
        fields = ('Nama_mata_kuliah', 'Nama_dosen', 'Nama_kelas', 'Jumlah_sks', 'Semester', 'Deskripsi_mata_kuliah')

        widgets = {
            'Nama_mata_kuliah' : forms.TextInput(attrs={'class': 'forms-control'}),
            'Nama_dosen' : forms.TextInput(attrs={'class': 'forms-control'}),
            'Nama_kelas' : forms.TextInput(attrs={'class': 'forms-control'}),
            'Jumlah_sks' : forms.TextInput(attrs={'class': 'forms-control'}),
            'Semester' : forms.TextInput(attrs={'class': 'forms-control'}),
            'Deskripsi_mata_kuliah' : forms.TextInput(attrs={'class': 'forms-control'}),
        }

Activity/views.py
from django.shortcuts import render, redirect
from .models import Activities, Participant
from .forms import formActivities, formParticipant

# Create your views here.
def index(request):
    kegiatan = Activities.objects.all()
    context = {"kegiatan":kegiatan}
    return render(request, 'Activity.html', context)

def newActivity(request):
    form = formActivities()
    if request.method == "POST":
        form = formActivities(request.POST)
        if form.is_valid():
            form.save()
            return redirect("activities:listActivities")
    
    context = {
        'kegiatan':form,
    }
    return render(request, "newActivity.html", context)

def listActivities(request):
    all_form = Activities.objects.all()
    person = Participant.objects.all()
    kegiatan = []
    person_form = formParticipant()
    for namaKegiatan in all_form:
        personAct = []
        for prsn in person:
            if prsn.activities_id == namaKegiatan.id:
                personAct.append(prsn)
        kegiatan.append((namaKegiatan, personAct))

    context = {
        'kegiatan':kegiatan,
        'person':person,
        'person_form':person_form
    }
    return render(request, 'allActivities.html', context)

def addParticipant(request):
    # nama = request.POST.get('nama', None)
    # Participant.objects.create(Name=nama, activities=Activities.objects.get(id=activities_id))
    form = formParticipant(request.POST)
    form.save()
    return redirect('activities:listActivities')

# def deleteActivity(request, pk):
#     Activities.objects.filter(id=pk).delete()
#     return redirect('activities:listActivities')

form/views.py
from django.http import HttpResponse
from django.shortcuts import render, redirect
from .forms import subjectForm
from .models import Subject

# Create your views here.
def index(request):
    return render(request, 'form.html')

def add(request):
    form_class = subjectForm()
    if request.method == "POST":
        #print('Printing POST:', request.POST)
        form_class = subjectForm(request.POST)
        if form_class.is_valid():
            form_class.save()
            return redirect('/Subject')

    context = {'form':form_class}
    return render(request, 'add.html', context)

def matkul(request, pk):
    form = Subject.objects.get(id = pk)
    form_hasil = Subject.objects.filter(id=pk)
    context = {'form_hasil':form_hasil}
    return render(request, 'all.html', context)

def all(request):
    form_hasil = Subject.objects.all()
    context = {'form_hasil':form_hasil}
    return render(request, 'matkul.html', context)

def semuanya(request):
    form_hasil = Subject.objects.all()
    context = {'form_hasil':form_hasil}
    return render(request, 'all.html', context)

def updateSubject(request, pk):
    form = Subject.objects.get(id = pk)
    form_class = subjectForm(instance=form)
    if request.method == "POST":
        form_class = subjectForm(request.POST, instance=form)
        if form_class.is_valid():
            form_class.save()
            return redirect('/Subject/all')

    context = {'form':form_class}
    return render(request, 'add.html', context)

def deleteSubject(request, pk):
    Subject.objects.filter(id=pk).delete()
    return redirect('/Subject/all')

story3/views.py
from django.shortcuts import render

def homepage(request):
    return render(request, 'homepage.html', {})

def experience(request):
    return render(request, 'experience.html', {})

def story(request):
    return render(request, 'story.html', {})

def story1(request):
    return render(request, 'story1.html', {})

templates/Activity.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    {% comment %} <link href="{% static '/story6.css' %}" rel="stylesheet"> {% endcomment %}
    <link rel="shortcut icon" href="{% static '/story3/images/logo.png' %}">
</head>
<body>
<nav class="navbar navbar-expand-md bg-dark navbar-dark">
  <a class="navbar-brand" href="../"><img src="{% static '/story3/images/logo2.png' %}" width="100px"></a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="collapsibleNavbar">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" href="/Activity/newActivity">Create Activity</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="/Activity/listActivities">List Activities</a>
      </li>   
    </ul>
  </div>  
</nav>
<div class="jumbotron jumbotron-fluid">
  <div class="container">
  <h1>WELCOME!</h1>
  <a href="../" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Homepage</a>
  </div>
</div>     
</div>
</body>
<style>
.jumbotron-fluid{
    background-image: url('/static/story3/images/story6.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    color: #ffffff;
}
</style>
</html>

templates/add.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

        <div class="container">
            <br></br>
            <div class="row-c align-items-center">
                <br></br>
                <h3 class="text-clr3 bg-clr warna">Subject Form</h3>
                <div class="container">
                    <form action="" method="post">
                        {% csrf_token %}
                        <div class="form-row">
                        <div class="form-group col-md-6">
                            {% for fields in form %}
                                {{fields.label_tag}}
                                <br>
                                {{fields}}
                            {% endfor %}
                        </div>
                        </div>
                        <div class="form-row">
                            <div class="col-sm-1">
                                <input type="submit" value='Save'>
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            </div>
                            <div class="col-sm-1">
                            <a href="/Subject" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Back</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

{% endblock %}

templates/addParticipant.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link href="{% static '/story6.css' %}" rel="stylesheet">
    <link rel="shortcut icon" href="{% static '/story3/images/logo.png' %}">
</head>
<body>
<nav class="navbar navbar-expand-md bg-dark navbar-dark">
  <a class="navbar-brand" href="/Activity"><img src="{% static '/story3/images/logo2.png' %}" width="100px"></a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="collapsibleNavbar">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" href="activities:newActivity">Create Activity</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="activities:listActivities">List Activities</a>
      </li>  
    </ul>
  </div>  
</nav>
<br>
  <div class="container">
      <br></br>
      <div class="row-c align-items-center">
          <br></br>
          <div class="container">
          <div class="d-flex flex-row flex-wrap justify-content-center">
            {% for kegiatan in events %}
              <div class="card p-3 ">
                  <h6>Events's Name: {{events.0.NameEvent}}</h6>
                  {% for name in events.1 %}
                  <ul>
                  <li>{{name.Participant}}</li>
                  </ul>
                  {% endfor %}
                    <form action="/event/list/{{events.0.id}}" method="POST">
                      {% csrf_token %}
                      <label for="participant_name">Participant's Name: </label>
                      <input id="participant_name" name="participant_name" type="text">
                      <div class = 'form-group'>
                          <form action="/event/list/{{events.0.id}}/" method="POST">
                              {% csrf_token %}
                              <button  class="btn btn-warning" type="submit">Add Participants</button>
                          </form>
                      </div>
                </div>
              {% endfor %}
          </div>
          </div>
      </div>
  </div>
</body>
</html>

templates/all.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

<br>
<div class="container">
<br></br>
<div class="row-d align-items-center">
    <div class="col-md">
        {% comment %} <div class="card card-body"> {% endcomment %}
            <h1 class="text-clr bg-clr warna">List of Subject(s)</h1>
        {% comment %} </div> {% endcomment %}
        {% comment %} <div class="card card-body"> {% endcomment %}
    
        <div class="container">
            <table class="table">
                <tr>
                    <th>Nama Mata Kuliah</th>
                    <th>Nama Dosen</th>
                    <th>Nama Kelas</th>
                    <th>Jumlah SKS</th>
                    <th>Semester</th>
                    <th>Deskripsi</th>
                    <th>Update</th>
                    <th>Delete</th>
                </tr>

                {% for i in form_hasil %}
                    <tr>
                        <td>{{i.Nama_mata_kuliah}}</td>
                        <td>{{i.Nama_dosen}}</td>
                        <td>{{i.Nama_kelas}}</td>
                        <td>{{i.Jumlah_sks}}</td>
                        <td>{{i.Semester}}</td>
                        <td>{{i.Deskripsi_mata_kuliah}}</td>
                        <td><a class="btn btn-sm btn-info" href="{% url 'form:update' i.id %}">Update</a></td>
                        <td><a class="btn btn-sm btn-danger" href="{% url 'form:delete' i.id %}">Delete</a></td>
                    </tr>
                    {% endfor %}
            </table>
            <a href="/Subject/add/" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Create New</a>
            <a href="/Subject/all/" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Back</a>
        </div>
    </div>
</div>
</div>

{% endblock %}

templates/allActivities.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link href="{% static '/story6.css' %}" rel="stylesheet">
    <link rel="shortcut icon" href="{% static '/story3/images/logo.png' %}">
</head>
<body>
<nav class="navbar navbar-expand-md bg-dark navbar-dark">
  <a class="navbar-brand" href="/Activity"><img src="{% static '/story3/images/logo2.png' %}" width="100px"></a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="collapsibleNavbar">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" href="{% url 'activities:newActivity' %}">Create Activity</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'activities:listActivities' %}">List Activities</a>
      </li> 
    </ul>
  </div>  
</nav>
<br>
<div class="container">
<br></br>
<div class="row-d align-items-center">
    <div class="col-md">
        {% comment %} <div class="card card-body"> {% endcomment %}
            <h1 class="text-clr bg-clr warna">List of Activities</h1>
        {% comment %} </div> {% endcomment %}
        {% comment %} <div class="card card-body"> {% endcomment %}
    
        <div class="container">
          <div class="d-flex flex-row flex-wrap justify-content-center">
            {% for someKegiatan in kegiatan %}
                <div class="card p-3 ">
                    <h6>{{someKegiatan.0.Activity_Name}}</h6>
                    {% for nama in someKegiatan.1 %}
                    <ul>
                    <li>{{nama.Name}}</li>
                    </ul>
                    {% endfor %}
                      
                  </div>
                  {% endfor %}
                            <div class = 'form-group'>
                                <form action="{% url 'activities:addParticipant' %}" method="POST">
                                    {% csrf_token %}
                                    {{person_form}}
                                    <button  class="btn btn-warning" type="submit">Add Participants</button>
                                </form>
                            </div>
          </div>
            <a href="{% url 'activities:newActivity' %}" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Create New Activity</a>
            <a href="/Activity" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Back</a>
        </div>
    </div>
</div>
</div>
</body>
</html>

templates/base.html
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Mi-Site</title>
        {% comment %} <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"> {% endcomment %}
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <link href="{% static '/story3/story3.css' %}" rel="stylesheet">
        <link rel="shortcut icon" href="{% static '/story3/images/logo.png' %}">
    </head>
    <body>
        <nav class="navbar fixed-top navbar-light navbar-bg">
            <a href="../"><img src="{% static '/story3/images/logo2.png' %}" width="100px"></a>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="nav-link active text" href="/Experience">Experience</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active text" href="/Story">Story</a>
                </li>
                {% comment %} <li class="nav-item">
                    <a class="nav-link active text" href="/Story1">Story1</a>
                </li> {% endcomment %}
                <li class="nav-item">
                    <a class="nav-link active text" href="/Subject">Subject</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active text" href="/Activity">Activity</a>
                </li>
            </ul>
        </nav>

{% block content %}

{% endblock %}

        <p class="cr textbox0">Copyright &#169; 2020 Mi-Site. All Rights Reserved.</p>
    </body>

</html>

templates/experience.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

        <br></br><br></br>
        <div class="container-fluid sitepg">
            <div class="row-a align-items-center">
                <h1 class="text-clr bg-clr warna">EXPERIENCE</h1>
            </div>
            <br></br><br></br>
            <div class="container-md bg-abc">
            <div class="row-expa">
                <div class="d-flex justify-content-center">
                <div class="col-sm nopadding">
                <img class="img-responsive foto" src="{% static '/story3/images/OH.png' %}" width="400" height="250">
                </div>
                <div class="col-sm txt-cntr">
                <p class="isie">Sep 2019 - Nov 2019</p>
                <p class="isix">Creative Staff</p>
                <p class="isip"><strong>Open House Fasilkom UI 2019</strong></p>
                </div>
                </div>
            </div>
            <div class="row-exp">
                <div class="d-flex justify-content-center">
                <div class="col-sm txt-cntr">
                <p class="isie1">Dec 2019 - Jan 2020</p>
                <p class="isix1">Liaison Ofiicer Staff</p>
                <p class="isip1"><strong>Wisuda Ganjil Fasilkom UI 2019/2020</strong></p>
                </div>
                <div class="col-sm nopadding">
                <img class="img-responsive foto1" src="{% static '/story3/images/wisgan.png' %}" width="400" height="250">
                </div>
                </div>
            </div>
            <div class="row-exp1">
                <div class="d-flex justify-content-center">
                <div class="col-sm nopadding">
                <img class="img-responsive foto" src="{% static '/story3/images/perak.png' %}" width="400" height="250">
                </div>
                <div class="col-sm txt-cntr">
                <p class="isie">Jan 2020 - Sep 2020</p>
                <p class="isix">Visual Design Staff</p>
                <p class="isip"><strong>Pesta Rakyat Komputer UI 2020</strong></p>
                </div>
                </div>
            </div>
            <div class="row-exp">
                <div class="d-flex justify-content-center">
                <div class="col-sm txt-cntr">
                <p class="isie1">Feb 2020 - Present</p>
                <p class="isix1">Human Resource Development Bureau Staff</p>
                <p class="isip1"><strong>BEM Fasilkom UI 2020</strong></p>
                </div>
                <div class="col-sm nopadding">
                <img class="img-responsive foto1" src="{% static '/story3/images/bem.png' %}" width="400" height="250">
                </div>
                </div>
            </div>
            <div class="row-exp2">
                <div class="d-flex justify-content-center">
                <div class="col-sm nopadding">
                <img class="img-responsive foto" src="{% static '/story3/images/compfest.png' %}" width="400" height="250">
                </div>
                <div class="col-sm txt-cntr">
                <p class="isie">Mar 2020 - Present</p>
                <p class="isix">Visual Design Staff</p>
                <p class="isip"><strong>COMPFEST 12</strong></p>
                </div>
                </div>
            </div>
            <div class="row-exp">
                <div class="d-flex justify-content-center">
                <div class="col-sm txt-cntr">
                <p class="isie1">Sep 2020 - Present</p>
                <p class="isix1">Person In Charge of Media, Creative, and Documentation</p>
                <p class="isip1"><strong>Pemira IKM Fasilkom UI 2020</strong></p>
                </div>
                <div class="col-sm nopadding">
                <img class="img-responsive foto1" src="{% static '/story3/images/pemira.png' %}" width="400" height="250">
                </div>
                </div>
            </div>
        </div>
        <br></br>

{% endblock %}

templates/form.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

        <div class="container-fluid bgdaun">
        <br></br>
        <div class="row align-items-center h-50 d-inline-block">
            <br></br>
            <h1 class="text-clr bg-clr warna">Do you want to fill the subject form?</h1>
            <div>
            <a href="/Subject/add" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Fill Form</a>
            <a href="/Subject/all/" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Check Form</a>
            </div>
        </div>
        </div>

{% endblock %}

templates/matkul.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

<br>
<div class="container">
<br></br>
<div class="row-d align-items-center">
    <div class="col-md">
        {% comment %} <div class="card card-body"> {% endcomment %}
            <h1 class="text-clr bg-clr warna">List of Subject(s)</h1>
        {% comment %} </div> {% endcomment %}
        {% comment %} <div class="card card-body"> {% endcomment %}
            <table class="table">
                <tr>
                    <th>Nama Mata Kuliah</th>
                    <th>Delete</th>
                </tr>

                {% for i in form_hasil %}
                    <tr>
                        <td><a href="{% url 'form:matkul' i.id %}" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">{{i.Nama_mata_kuliah}}</a></td>
                        <td><a class="btn btn-sm btn-danger" href="{% url 'form:delete' i.id %}">Delete</a></td>
                    </tr>
                {% endfor %}
            </table>
            <a href="/Subject/semua/" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">All Form</a>
            <a href="/Subject/add/" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Create New</a>
            <a href="/Subject" class="btn btn-light btn-sm active clr" role="button" aria-pressed="true">Back</a>
        {% comment %} </div> {% endcomment %}
    </div>
</div>
</div>

{% endblock %}

templates/story.html
{% extends 'base.html' %}
{% load static %}

{% block content %}

        <br></br><br></br>
            <div class="container">
            <div class="row-a align-items-center">
                <h1 class="text-clr bg-clr warna">STORY</h1>
            </div>
            </div>
            <br></br>
            <br></br>
            <div id="myCarousel" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
                <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                <li data-target="#myCarousel" data-slide-to="1"></li>
                <li data-target="#myCarousel" data-slide-to="2"></li>
                <li data-target="#myCarousel" data-slide-to="3"></li>
                <li data-target="#myCarousel" data-slide-to="4"></li>
            </ol>
            <div class="carousel-inner">
                <div class="carousel-item active">
                <img src="{% static '/story3/images/1.JPG' %}" class="d-block w-100" alt="">
                </div>
                <div class="carousel-item">
                <img src="{% static '/story3/images/2.png' %}" class="d-block w-100" alt="">
                </div>
                <div class="carousel-item">
                <img src="{% static '/story3/images/3.JPG' %}" class="d-block w-100" alt="">
                </div>
                <div class="carousel-item">
                <img src="{% static '/story3/images/4.JPG' %}" class="d-block w-100" alt="">
                </div>
                <div class="carousel-item">
                <img src="{% static '/story3/images/5.jpeg' %}" class="d-block w-100" alt="">
                </div>
            </div>
            <a class="carousel-control-prev" href="#myCarousel" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#myCarousel" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
            </div>

{% endblock %}